[Rainmeter]
Author=P2C | toastbrotpascal.deviantart.com | Credits to nardoxic.deviantart.com | stefanka.deviantart.com
Update=1000
MiddleMouseDownAction=!Execute ["#SDTPATH#\Variables.txt"]

@include="#SKINSPATH#\SDT\Resources\Variables.txt"

[Style]
StringStyle=BOLD

[Variables]
SDTPATH="#SKINSPATH#\SDT\Resources"

[BG]
Meter=IMAGE
ImageName=tabsun.png
X=149
Y=32
LeftMouseDownAction=!Execute [!RainmeterHideMeter BG][!RainmeterShowMeter BG2][!RainmeterShowMeter BG3][!RainmeterShowMeter CurrentTemperature][!RainmeterShowMeter CurrentIcon][!RainmeterShowMeter WeatherDescription][!RainmeterShowMeter WeatherLocation][!RainmeterShowMeter Today][!RainmeterShowMeter TodayTemperature][!RainmeterShowMeter TodayIcon][!RainmeterShowMeter Date3][!RainmeterShowMeter Temperature3][!RainmeterShowMeter Icon3][!RainmeterShowMeter Yahoo][!RainmeterRedraw]

[BG2]
Meter=IMAGE
imageName=bgshadow.png
Hidden=1
X=17
Y=20

[BG3]
Meter=IMAGE
ImageName=tabsun.png
Y=32
Hidden=1
LeftMouseDownAction=!Execute [!RainmeterHideMeter BG3][!RainmeterHideMeter BG2][!RainmeterShowMeter BG][!RainmeterHideMeter CurrentTemperature][!RainmeterHideMeter CurrentIcon][!RainmeterHideMeter WeatherDescription][!RainmeterHideMeter WeatherLocation][!RainmeterHideMeter Today][!RainmeterHideMeter TodayTemperature][!RainmeterHideMeter TodayIcon][!RainmeterHideMeter Date3][!RainmeterHideMeter Temperature3][!RainmeterHideMeter Icon3][!RainmeterHideMeter Yahoo][!RainmeterRedraw]

[MeasureWeatherRSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=1800
Url=http://weather.yahooapis.com/forecastrss?p=#WeatherCode#&u=#Unit#
RegExp=(?siU)<link.*>(.*)</link>.*city=\"(.*)\".*sunrise=\"(.*)\".*sunset=\"(.*)\".*<image>.*<url>(.*)</url>.*<title>.*:.*m .*(.*)</title>.*lat>(.*)<.*long>(.*)<.*yweather:condition.*text=\"(.*)\".*code=\"(.*)\".*temp=\"(.*)\".*yweather:forecast.*day=\"(.*)\".*high=\"(.*)\".*code=\"(.*)\".*yweather:forecast.*day=\"(.*)\".*high=\"(.*)\".*code=\"(.*)\".*
StringIndex=1

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=11

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=10

[CurrentTemperature]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherTemp
X=40
Y=45
Postfix="°"
Hidden=1

[CurrentIcon]
Meter=Image
MeasureName=MeasureWeatherIcon
Path="#SDTPath#\Large\"
X=66
W=115
Hidden=1

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=9

[WeatherDescription]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherDesc
X=40
Y=75
FontSize=8
Hidden=1

[MeasureWeatherLocation]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=02

[WeatherLocation]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherLocation
X=r
Y=15r
FontSize=8
Hidden=1

[Today]
Meter=STRING
MeterStyle=Style
X=r
Y=20r
FontSize=8
Text="Today"
Hidden=1

[MeasureWeatherTemp2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=13

[TodayTemperature]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherTemp2
X=r
Y=15r
FontSize=8
Postfix="°"
Hidden=1

[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=14

[TodayIcon]
Meter=Image
MeasureName=MeasureWeatherIcon2
Path="#SDTPath#\Small\"
X=105
Y=-15r
Hidden=1

[MeasureWeatherDate3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=15

[Date3]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherDate3
X=40
Y=145
FontSize=8
Hidden=1

[MeasureWeatherTemp3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=16

[Temperature3]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherTemp3
X=r
Y=15r
FontSize=8
Postfix="°"
Hidden=1

[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=17

[Icon3]
Meter=Image
MeasureName=MeasureWeatherIcon3
Path="#SDTPath#\Small\"
X=105
Y=-15r
Hidden=1

[Yahoo]
Meter=STRING
MeterStyle=Style
X=53
Y=183
Text="by Yahoo! Weather"
FontSize=7
Hidden=1
LeftMouseDownAction=!Execute ["http://weather.yahoo.com"]